Đến nội dung


Hình ảnh
- - - - -

xin lisp vẽ thép mũ


  • Please log in to reply
6 replies to this topic

#1 cunconlangthang1088

cunconlangthang1088

    biết zoom

  • Members
  • Pip
  • 10 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 29 October 2010 - 05:45 PM

em down 1 số lisp vẽ thép mũ, nhưng mà toàn dạng đường có lineweight, em muốn xin 1 lisp vẽ thép mũ mà hình dạng thanh thép dạng mảnh như bình thường thôi
em xin chân thành cảm ơn
  • 0

#2 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5685 Bài viết
Điểm đánh giá: 2606 (tuyệt vời)

Đã gửi 29 October 2010 - 09:48 PM

Bạn nên post file chứa đoạn thép mũ của bạn nên,để mọi người lấy mẫu chuẩn.Vì cùng là thép mũ,mỗi cty lại thể hiện chiều dài kéo xuống khác nhau :)
  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#3 cunconlangthang1088

cunconlangthang1088

    biết zoom

  • Members
  • Pip
  • 10 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 29 October 2010 - 10:16 PM

Bạn nên post file chứa đoạn thép mũ của bạn nên,để mọi người lấy mẫu chuẩn.Vì cùng là thép mũ,mỗi cty lại thể hiện chiều dài kéo xuống khác nhau :)


vậy bác cho em xin lisp vẽ thép mũ của bác đi, miễn là khi xài, nó không hiện dạng lineweight là được @@. cám ơn bác
  • 0

#4 nguyentuyen6

nguyentuyen6

    biết lệnh chamfer

  • Advance Member
  • PipPipPipPip
  • 213 Bài viết
Điểm đánh giá: 124 (tàm tạm)

Đã gửi 29 October 2010 - 10:38 PM

Bạn posst cái file líp của bạn lên rồi mọi người sửa dum` cho. chứ nói chay thế này thì...hê hê
  • 0

Lisp In bản vẽ hàng loạt:
http://www.cadviet.c...ndpost&p=139860


#5 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5685 Bài viết
Điểm đánh giá: 2606 (tuyệt vời)

Đã gửi 31 October 2010 - 02:14 PM

vậy bác cho em xin lisp vẽ thép mũ của bác đi, miễn là khi xài, nó không hiện dạng lineweight là được @@. cám ơn bác

Bình thường mình k dùng lisp để rải thép,toàn copy thủ công thôi^^ .
Bạn thử dùng cái này xem sao nhé

(Defun c:Tmu (/ d1 d2 d3 d4);(THEPSAN)
(setvar "angbase" 0)
;(setvar "clayer" ....)
(command "ortho" "on")
(setq d1 (getpoint "\nDiem thu nhat:"))
(setq d2 (getpoint d1"\nDiem thu hai:"))
(setq goc (angle d1 d2))
(setvar "osmode" 0)
(setq d3 (POLAR d1 (+ goc (/ pi 2)) 3))
(setq d4 (polar d3 goc (distance d1 d2)))
(Command "_.pline" d1 d3 d4 d2 "" )
(setvar "osmode" 641)
(princ)
)

  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#6 tran.designer.int

tran.designer.int

    biết zoom

  • Members
  • Pip
  • 14 Bài viết
Điểm đánh giá: 2 (bình thường)

Đã gửi 17 December 2013 - 01:29 PM

Chào các Bác!
Tớ có đoạn lisp vẽ thép dầm mà chưa hoàn chỉnh được. có Bác nào sửa giúp em với, em muốn dời toạ độ gốc xOy và xO'y một khoảng 25mm cho trước. chi tiết xin mọi người xem hình ảnh đính kèm. Cám ơn mọi người trước nha!

(DEFUN C:TD (/ OLDERR CMD OSM DK PT1 PT2 STR PRPT GOCX
PTD PTC)
(setq oldlayer (getvar 'clayer)) (setvar 'clayer "0")
(SETQ OLDERR *error*
*error* myerror)
(setvar 'clayer "0")
(SETQ CMD (GETVAR "CMDECHO"))
(SETQ OSM (GETVAR "OSMODE"))
(SETVAR "CMDECHO" 0)
(SETQ DK (GETVAR "USERR3"))
(IF (= DK 0)
(PROGN
(SETQ STR "50")
(SETVAR "USERR3" 50)
)
(SETQ STR (RTOS DK))
)
(SETQ PRPT (STRCAT "do dai moc: <" STR ">:"))
(SETQ DK (GETREAL PRPT))
(IF (= DK NIL)
(SETQ DK (GETVAR "USERR3"))
(SETVAR "USERR3" DK)
)
(INITGET 7)
(SETQ PTD (GETPOINT "\nFrom point:"))
(INITGET 7)
(SETQ PTC (GETPOINT PTD "\nTo point:"))
(SETVAR "OSMODE" 0)
(SETQ GOCX (ANGLE PTD PTC))
(SETQ PT1 (POLAR PTD (+ GOCX (/ pi 4)) (* 1 DK)))
(SETQ PT2 (POLAR PTC (- GOCX (/ pi 0.8)) (* 1 DK)))
(COMMAND "PLINE" pt1 ptd ptc pt2 "")
(command (list (- (car p) 20) (+ (cadr p) 20)) )
(SETVAR "OSMODE" OSM)
(SETVAR "CMDECHO" CMD)
(setvar 'clayer oldlayer)
(PRINC))


  • 0

***Tran thien interior***


#7 abc_3535

abc_3535

    Chưa sử dụng CAD

  • Members
  • Pip
  • 1 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 30 July 2016 - 06:34 AM

Bình thường mình k dùng lisp để rải thép,toàn copy thủ công thôi^^ .
Bạn thử dùng cái này xem sao nhé

(Defun c:Tmu (/ d1 d2 d3 d4);(THEPSAN)
(setvar "angbase" 0)
;(setvar "clayer" ....)
(command "ortho" "on")
(setq d1 (getpoint "\nDiem thu nhat:"))
(setq d2 (getpoint d1"\nDiem thu hai:"))
(setq goc (angle d1 d2))
(setvar "osmode" 0)
(setq d3 (POLAR d1 (+ goc (/ pi 2)) 3))
(setq d4 (polar d3 goc (distance d1 d2)))
(Command "_.pline" d1 d3 d4 d2 "" )
(setvar "osmode" 641)
(princ)
)

e có sd lisp của bác nhưng doạn moc xuống ngắn quá..bác sửa lại cho to lên đc k ạ


  • 0